# Package org.apache.ignite.internal.client.impl.connection

Interface Summary
GridClientConnectionManager: Common interface for client connection managers.

Class Summary
GridClientConnection: Facade for all possible network communications between client and server.
GridClientConnectionManagerAdapter: Cached connections manager.
GridClientConnectionManagerOsImpl: Open source version of connection manager.
GridClientNioTcpConnection: This class performs request to grid over TCP protocol.
GridClientTopology: Client topology cache.

Exception Summary
GridClientConnectionResetException: This exception is thrown when ongoing packet should be sent, but network connection is broken.
GridConnectionIdleClosedException: This exception is thrown if client was closed by idle checker thread.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023